<?php

namespace App\Http\Controllers;

class Editor_file
{
	
	private $archivo;
	private $localizacion_file;
	
	function __construct($location_file)
    {
        $this->localizacion_file = $location_file;
    }
	
	public function abrir_editor(){
		if($this->archivo = @fopen($this->localizacion_file, 'a')){//'r+')){//; //or die("Ocurrio un error al abrir el archivo");
			return 1;
		}else{
			return 0;
		}
	}
	
	public function editar_file_database($host_name, $user, $password, $name_db){
		
		  //@fseek($this->archivo, 3472, SEEK_SET);
		  
		  if( @fwrite($this->archivo, " \$db['default'] = array(
			'dsn'	=> '',
			'hostname' => '".$host_name."',
			'username' => '".$user."',
			'password' => '".$password."',
			'database' => '".$name_db."',
			'dbdriver' => 'mysqli',
			'dbprefix' => 'tec_',
			'pconnect' => FALSE,
			'db_debug' => FALSE,
			'cache_on' => FALSE,
			'cachedir' => '',
			'char_set' => 'utf8',
			'dbcollat' => 'utf8_general_ci',
			'swap_pre' => '',
			'encrypt' => FALSE,
			'compress' => FALSE,
			'stricton' => FALSE,
			'failover' => array(),
			'save_queries' => FALSE
		);
		define('HOST_DB',\$db['default']['hostname']);
        define('DATABASE_DB',\$db['default']['database']);
        define('USER_DB',\$db['default']['username']);
        define('PASSWORD_DB',\$db['default']['password']);
		")){ //or die("No se puede escribir en el archivo");
			return 1;
		}else{
			return 0;
		}
		  
	}
	
	public function editar_file_config($facturador, $ws_notacredit_ventas, $ws_almacen, $ws_general){
		
		  //@fseek($this->archivo, 3472, SEEK_SET);
		  
		if( @fwrite($this->archivo, "
			\$config['aws_url'] = '".$facturador."';
			\$config['wsnc_url'] = '".$ws_notacredit_ventas."';
			\$config['ws_almacen'] = '".$ws_almacen."';
			\$config['ws_general'] = '".$ws_general."';")){ //or die("No se puede escribir en el archivo");
			return 1;
		}else{
			return 0;
		}
		  
	}
	
	public function cerrar_editor(){
		@fclose($this->archivo);  
	}
	
	
}